/*
 Navicat Premium Data Transfer

 Source Server         : 言灵测试(新)
 Source Server Type    : MySQL
 Source Server Version : 80021
 Source Host           : ylsjtt.game7000.com:3306
 Source Schema         : ylsj2019_pay_dev

 Target Server Type    : MySQL
 Target Server Version : 80021
 File Encoding         : 65001

 Date: 26/07/2022 15:15:52
*/
use ylsj2019_pay_dev;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for ddt_cmd_info
-- ----------------------------
DROP TABLE IF EXISTS `ddt_cmd_info`;
CREATE TABLE `ddt_cmd_info`  (
  `name` int NULL DEFAULT NULL,
  `cmd` int NULL DEFAULT NULL,
  `z` int NULL DEFAULT NULL,
  `info` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tab_auctionitems
-- ----------------------------
DROP TABLE IF EXISTS `tab_auctionitems`;
CREATE TABLE `tab_auctionitems`  (
  `itemid` int NOT NULL AUTO_INCREMENT COMMENT '拍品Id',
  `zoneid` int NOT NULL DEFAULT 1,
  `contents` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '内容',
  `startprice` int NOT NULL COMMENT '底价',
  `addstep` int NOT NULL DEFAULT 1 COMMENT '加价幅度',
  `reserveprice` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '保留价',
  `buyoutPrice` int NOT NULL DEFAULT 0 COMMENT '一口价',
  `startts` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '开始时间',
  `endts` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '结束时间',
  `sellerid` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '卖家Id',
  `sellername` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '卖家昵称',
  `auchistory` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '出价历史',
  `currprice` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '当前出价',
  `currpeopleid` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '当前出价人Id',
  `currpeoplename` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '当前出价人昵称',
  `result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '结果: 成交 or 失败',
  PRIMARY KEY (`itemid`) USING BTREE,
  INDEX `Index 2`(`zoneid`) USING BTREE,
  INDEX `Index 3`(`startts`) USING BTREE,
  INDEX `endts`(`endts`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '拍卖物品表, 2021.6.21 添加' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for tab_guild
-- ----------------------------
DROP TABLE IF EXISTS `tab_guild`;
CREATE TABLE `tab_guild`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `guildId` int NOT NULL DEFAULT 0 COMMENT '公会编号',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '公会名称',
  `createts` int NULL DEFAULT NULL COMMENT '创建时间',
  `level` int NOT NULL COMMENT '公会等级',
  `declare` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '公会宗旨',
  `membercount` int NOT NULL,
  `chairman_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '会长的openID',
  `chairman_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '会长的昵称',
  `zoneid` int NOT NULL DEFAULT 0 COMMENT '分区id',
  `guild_img` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `cupScore` int NOT NULL,
  `enableQuickIn` int NOT NULL,
  `condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`, `guildId`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '公会表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for tab_mailrecord
-- ----------------------------
DROP TABLE IF EXISTS `tab_mailrecord`;
CREATE TABLE `tab_mailrecord`  (
  `tid` int NOT NULL AUTO_INCREMENT,
  `mailId` int NOT NULL COMMENT '邮件id',
  `zoneid` int NOT NULL COMMENT '分区id',
  `itemid` int NULL DEFAULT NULL COMMENT '道具id',
  `num` int NULL DEFAULT NULL COMMENT '道具数量',
  `type` int NULL DEFAULT NULL COMMENT '类型',
  `sender_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '发送者昵称',
  `sender_uid` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '发送者uid',
  `to_uid` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '玩家uid',
  `title` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标题,限制长度20',
  `content` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '内容,限制长度100',
  `tag` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '附加标签',
  `drawedts` int NULL DEFAULT 0 COMMENT '领取时间ts',
  `startts` int NULL DEFAULT NULL COMMENT '生效时间ts',
  `readts` int NULL DEFAULT NULL COMMENT '失效/过期时间ts',
  `insertts` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '插入(发送)时间',
  `appendix` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '\"\"',
  PRIMARY KEY (`tid`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 22 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '邮件发送记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for tab_register
-- ----------------------------
DROP TABLE IF EXISTS `tab_register`;
CREATE TABLE `tab_register`  (
  `tid` int NOT NULL AUTO_INCREMENT,
  `userName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '用户名',
  `pwd` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '密码',
  `mail` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '邮箱',
  `phoneNumber` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '电话',
  `device_serial` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备序列号',
  `ts` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '注册时间',
  PRIMARY KEY (`tid`) USING BTREE,
  UNIQUE INDEX `tid`(`tid`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '官方包(送审版)新用户注册表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for tab_rolename
-- ----------------------------
DROP TABLE IF EXISTS `tab_rolename`;
CREATE TABLE `tab_rolename`  (
  `tid` int NOT NULL AUTO_INCREMENT,
  `zoneid` int NOT NULL COMMENT '分区id',
  `userID` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '中间平台提供的用户ID',
  `roleName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `gender` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '性别',
  `profile` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '头像',
  `plat` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '平台字符串',
  `ts` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '注册时间',
  `lastlogin` datetime NULL DEFAULT NULL COMMENT '最后登录时间',
  PRIMARY KEY (`tid`) USING BTREE,
  UNIQUE INDEX `tid`(`tid`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 15 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色昵称表,' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for tab_token_gift
-- ----------------------------
DROP TABLE IF EXISTS `tab_token_gift`;
CREATE TABLE `tab_token_gift`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '记录id',
  `plat` tinyint NOT NULL COMMENT '平台编号',
  `package` tinyint NOT NULL COMMENT '礼包类型编号',
  `number` int NOT NULL COMMENT '激活码编号',
  `uid` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '玩家id',
  `insertts` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '插入时间戳',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `id`(`number`, `plat`, `package`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '兑换码礼包领取记录\r\n' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for tab_userbaseparams
-- ----------------------------
DROP TABLE IF EXISTS `tab_userbaseparams`;
CREATE TABLE `tab_userbaseparams`  (
  `tid` int NOT NULL AUTO_INCREMENT,
  `uid` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `zoneid` int NOT NULL DEFAULT 0,
  `cmd` int NOT NULL DEFAULT 0,
  `type` int NOT NULL DEFAULT 0 COMMENT '1:经验；2：金币；3钻石',
  `curVal` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `endVal` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `changeVal` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `desc` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
  `ts` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '当前时间戳',
  PRIMARY KEY (`tid`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for tab_userctxback
-- ----------------------------
DROP TABLE IF EXISTS `tab_userctxback`;
CREATE TABLE `tab_userctxback`  (
  `tid` int NOT NULL AUTO_INCREMENT,
  `uid` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '玩家id',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '玩家名称',
  `zoneid` int NOT NULL DEFAULT 0 COMMENT '区',
  `ctx` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '玩家反馈内容',
  `phoneId` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '0' COMMENT '手机号',
  `type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '反馈类型',
  `time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '插入时间',
  PRIMARY KEY (`tid`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for tab_userinfo_stub
-- ----------------------------
DROP TABLE IF EXISTS `tab_userinfo_stub`;
CREATE TABLE `tab_userinfo_stub`  (
  `auto_id` int NOT NULL AUTO_INCREMENT,
  `uid` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'uid',
  `zoneid` int NOT NULL COMMENT '分区id',
  `tsday` int NOT NULL COMMENT 'tsday',
  `info` mediumtext CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '数据,Ps.medium支持15MB数据,够够的了, 普通text只支持65k有点儿风险',
  `lastupdate` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '上次修改',
  INDEX `auto_id`(`auto_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '玩家数据落地' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for tpl_mpaylog_tab
-- ----------------------------
DROP TABLE IF EXISTS `tpl_mpaylog_tab`;
CREATE TABLE `tpl_mpaylog_tab`  (
  `Id` int NOT NULL AUTO_INCREMENT,
  `zoneid` int NOT NULL DEFAULT 1 COMMENT '分区id',
  `type` tinyint NOT NULL DEFAULT 0 COMMENT '记录类型',
  `amt` int NOT NULL DEFAULT 0 COMMENT '发生的人民币金额（单位：分）',
  `balance` int NOT NULL DEFAULT 0 COMMENT '当前账户余额(单位: 个钻石)',
  `giftedcash` int NOT NULL DEFAULT 0 COMMENT '游戏内赠送钻石数量',
  `chargedcash` int NOT NULL DEFAULT 0 COMMENT '玩家充值钻石数量',
  `ts` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '记录插入时间戳',
  `oid` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '发生记录的oid',
  `source` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '记录来源',
  `result` int NOT NULL DEFAULT 0 COMMENT '结果, Ps. 有的时候会出现操作失败的情况',
  `itemid` varchar(25) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '本次交易发生关联的物品id',
  PRIMARY KEY (`Id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '模板 -- 移动端充值、消费记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for tpl_op_log_tab
-- ----------------------------
DROP TABLE IF EXISTS `tpl_op_log_tab`;
CREATE TABLE `tpl_op_log_tab`  (
  `cmd` int NOT NULL COMMENT '命令码',
  `zoneid` int NOT NULL COMMENT '分区id',
  `days` int NULL DEFAULT 0 COMMENT '留存天数',
  `ts` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '时间戳',
  `uid` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '玩家ID',
  `param` varchar(250) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '参数',
  `ret` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '返回值'
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '[模板] -- 操作日志表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for tpl_order_tab
-- ----------------------------
DROP TABLE IF EXISTS `tpl_order_tab`;
CREATE TABLE `tpl_order_tab`  (
  `Id` int NOT NULL AUTO_INCREMENT COMMENT '订单序号(自增)',
  `cpOrderId` bigint NULL DEFAULT 1 COMMENT '商户订单id',
  `amount` int NULL DEFAULT 0 COMMENT '发生的人民币金额（单位：分）',
  `status` tinyint NULL DEFAULT 0 COMMENT '订单状态: 0:创建订单,1:支付成功,2: 支付失败',
  `zoneid` int NULL DEFAULT 1 COMMENT '分区id',
  `order_ts` int NULL DEFAULT 0 COMMENT '记录插入时间戳 利用FROM_UNIXTIME()转换到时间',
  `close_ts` int NULL DEFAULT 0 COMMENT '交易关闭时间戳',
  `drawed_ts` int NULL DEFAULT 0,
  `uid` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '发生记录的oid',
  `channel` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '渠道',
  `callbackInfo` varchar(250) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '',
  `notifyUrl` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '',
  `product_id` varchar(25) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '本次交易发生关联的物品id',
  `product_name` varchar(25) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品名称',
  `product_price` float NULL DEFAULT NULL COMMENT '物品单价',
  `product_count` int NULL DEFAULT NULL COMMENT '物品数量',
  `sdk_orderid` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'sdk生成的订单编号',
  `party_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '公会id',
  `party_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '公会名称',
  `otherInfo` varchar(250) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '其他信息',
  PRIMARY KEY (`Id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '模板 -- 移动端充值、消费记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for tpl_order_tab_deltest
-- ----------------------------
DROP TABLE IF EXISTS `tpl_order_tab_deltest`;
CREATE TABLE `tpl_order_tab_deltest`  (
  `Id` int NOT NULL AUTO_INCREMENT COMMENT '订单序号(自增)',
  `cpOrderId` bigint NULL DEFAULT 1 COMMENT '商户订单id',
  `amount` int NULL DEFAULT 0 COMMENT '发生的人民币金额（单位：分）',
  `status` tinyint NULL DEFAULT 0 COMMENT '订单状态: 0:创建订单,1:支付成功,2: 支付失败',
  `zoneid` int NULL DEFAULT 1 COMMENT '分区id',
  `order_ts` int NULL DEFAULT 0 COMMENT '记录插入时间戳 利用FROM_UNIXTIME()转换到时间',
  `close_ts` int NULL DEFAULT 0 COMMENT '交易关闭时间戳',
  `drawed_ts` int NULL DEFAULT 0,
  `uid` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '发生记录的oid',
  `channel` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '渠道',
  `callbackInfo` varchar(250) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '',
  `notifyUrl` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '',
  `product_id` varchar(25) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '本次交易发生关联的物品id',
  `product_name` varchar(25) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物品名称',
  `product_price` float NULL DEFAULT NULL COMMENT '物品单价',
  `product_count` int NULL DEFAULT NULL COMMENT '物品数量',
  `sdk_orderid` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'sdk生成的订单编号',
  `otherInfo` varchar(250) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '其他信息',
  `party_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0',
  `party_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`Id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '模板 -- 移动端充值、消费记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for tpl_paylog_tab_ym
-- ----------------------------
DROP TABLE IF EXISTS `tpl_paylog_tab_ym`;
CREATE TABLE `tpl_paylog_tab_ym`  (
  `Id` int NOT NULL AUTO_INCREMENT,
  `msg` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '发生记录的oid',
  PRIMARY KEY (`Id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '充值、消费记录' ROW_FORMAT = DYNAMIC;

SET FOREIGN_KEY_CHECKS = 1;
