<?php

namespace loyalsoft\pay;

/**
 * Description of dbOrder 数据库中订单数据结构
 * @version
 *          1.0.0 Created at 2018-1-9. by --gwang
 * @author gwang (mail@wanggangzero.cn)
 * @copyright ? 2018-1-9, SJZ LoyalSoft Corporation & gwang. All rights reserved.
 */
class dbOrder {

    /**
     * @var string 充值回调透传参数(len=250)
     */
    public $callbackInfo;

    /**
     * @var int 发生的人民币金额（单位：分）
     */
    public $amount;

    /**
     * 各平台取自己的配置信息
     * @var string 充值回调地址(len=100)
     */
    public $notifyUrl;

    /**
     * @var string 商户订单ID (len=30)
     */
    public $cpOrderId;

    /**
     * @var int 发生记录的oid
     */
    public $uid;
    public $zoneid;
    public $channel;

    /**
     * @var string 本次交易发生关联的物品id
     */
    public $product_id;

    /**
     * @var string 物品名称
     */
    public $product_name;

    /**
     * @var float 物品单价
     */
    public $product_price;

    /**
     * @var int 物品数量
     */
    public $product_count;

    /**
     * @var int 订单状态: 0:创建订单,1:支付成功,2: 支付失败
     */
    public $status;

    /**
     * @var int  记录插入时间戳 利用FROM_UNIXTIME()转换到时间
     */
    public $order_ts;

    /**
     * @var int 交易关闭时间戳
     */
    public $close_ts;

    /**
     * @var int 领取/发货时间
     */
    public $drawed_ts;

    /**
     * @var string sdk生成的订单编号(如果有的话)
     */
    public $sdk_orderid;

    /**
     * @var string 公会id(如果有的话)
     */
    public $party_id;

    /**
     * @var string 公会名称
     */
    public $party_name;

    /**
     * @var string 其他信息
     */
    public $otherInfo;

}
